Subject: bug#75964: Switching the Emacs build to -Wswitch-enum in src/

From: Paul Eggert <[email-masked]>
Date: Fri, 7 Feb 2025 16:44:20 -0800

On 2/6/25 00:17, Eli Zaretskii wrote:
> We could have a special non-default configure option for adding
> "noisy" warning options; many projects do that.

Yes, and we have that with --enable-gtk-deprecation-warnings, 
--enable-gcc-warnings=yes, and the like. If necessary we could add more 
options like that. I hope we don't have to, though, as it's complicated 
enough as it is.